CFLAGS16  = /nologo /YX /G2 /W3 /AL /FR /GA /Od /Zi /c
RCFLAGS16 = /nologo -r /D $(MQWSAMPLE)
LFLAGS16  = /nologo /NOD /align:16 /co /map /onerror:noexe
LIBS16    = LLIBCEW.LIB LIBW.LIB WIN16RAS.LIB

CFLAGS    = $(CFLAGS16)
RCFLAGS   = $(RCFLAGS16)
LFLAGS    = $(LFLAGS16)
LIBS      = $(LIBS16)
MQWSAMPLE = BIT_16

all: TESTDLEX.EXE

#-----------------------------------------------------------------------
# TESTDLEX.C - sample source file
#-----------------------------------------------------------------------
TESTDLEX.OBJ: TESTDLEX.C TESTDLEX.H
 cl $(CFLAGS) TESTDLEX.C

#-----------------------------------------------------------------------
# TESTDLEX.RC - sample resources
#-----------------------------------------------------------------------
TESTDLEX.RES: TESTDLEX.RC TESTDLEX.H
 rc $(RCFLAGS) TESTDLEX.RC

#-----------------------------------------------------------------------
# TESTDLEX.EXE generation
#-----------------------------------------------------------------------
TESTDLEX.EXE: TESTDLEX.OBJ \
              TESTDLEX.DEF \
              TESTDLEX.RES
  link @<<
  $(LFLAGS) TESTDLEX.OBJ, TESTDLEX.EXE, TESTDLEX.MAP, $(LIBS), TESTDLEX.DEF
<<
  rc /nologo -t TESTDLEX.RES TESTDLEX.EXE
